Std AxisCross: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 39: Line 39:
==Notes==
==Notes==


* FreeCAD can also display a smaller coordinate system in the corner of 3D views: {{MenuCommand|Edit → Preferences... → Display → 3D View → Show coordinate system in the corner}}. See [[Preferences_Editor#3D_View|Preferences Editor]].
* FreeCAD can display a smaller coordinate system indicator in the bottom right corner of 3D views: {{MenuCommand|Edit → Preferences... → Display → 3D View → Show coordinate system in the corner}}. See [[Preferences_Editor#3D_View|Preferences Editor]].
* The [[Navigation_Cube|Navigation Cube]] also includes a coordinate system indicator.


==Preferences==
==Preferences==

Revision as of 17:02, 8 April 2020

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.


Std AxisCross

Menu location
View → Toggle axis cross
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std AxisCross command toggles the axis cross in the active 3D view. The related setting also affects all new 3D views, including those belonging to new documents, but not the initial 3D view of existing documents.

The axis cross consists of three arrows indicating the positive X, Y and Z axis of the global coordinate system. Their common start point is the origin of the global coordinate system.

The axis cross (the letters are not part of the axis cross)

Usage

  1. Select the View → Toggle axis cross option from the menu.

Notes

  • FreeCAD can display a smaller coordinate system indicator in the bottom right corner of 3D views: Edit → Preferences... → Display → 3D View → Show coordinate system in the corner. See Preferences Editor.
  • The Navigation Cube also includes a coordinate system indicator.

Preferences

  • The axis cross setting is stored: Tools → Edit parameters... → BaseApp → Preferences → View → ShowAxisCross.

Scripting

See also: FreeCAD Scripting Basics.

To toggle the axis cross use the setAxisCross method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()